<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: ReadCSV Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_read_c_s_v-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">ReadCSV Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="readcsv_8h_source.html">readcsv.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for ReadCSV:</div>
<div class="dyncontent">
<div class="center"><img src="class_read_c_s_v__coll__graph.png" border="0" usemap="#a_read_c_s_v_coll__map" alt="Collaboration graph"/></div>
<map name="a_read_c_s_v_coll__map" id="a_read_c_s_v_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,93,117"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a479310353f7e9a01a928862663cf0384" id="r_a479310353f7e9a01a928862663cf0384"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a479310353f7e9a01a928862663cf0384">ReadCSV</a> ()</td></tr>
<tr class="separator:a479310353f7e9a01a928862663cf0384"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a273484f834fc7fd04eac772ed81d8a12" id="r_a273484f834fc7fd04eac772ed81d8a12"><td class="memItemLeft" align="right" valign="top">static std::unordered_map&lt; QString, QVector&lt; QString &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a273484f834fc7fd04eac772ed81d8a12">readCsv</a> (const QString &amp;path)</td></tr>
<tr class="separator:a273484f834fc7fd04eac772ed81d8a12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc5274e67b9f8d9077cba5f166b67899" id="r_adc5274e67b9f8d9077cba5f166b67899"><td class="memItemLeft" align="right" valign="top">static std::unordered_map&lt; int, QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#adc5274e67b9f8d9077cba5f166b67899">mapCols</a> (const QVector&lt; QString &gt; &amp;headers)</td></tr>
<tr class="separator:adc5274e67b9f8d9077cba5f166b67899"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a479310353f7e9a01a928862663cf0384" name="a479310353f7e9a01a928862663cf0384"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a479310353f7e9a01a928862663cf0384">&#9670;&#160;</a></span>ReadCSV()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ReadCSV::ReadCSV </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="adc5274e67b9f8d9077cba5f166b67899" name="adc5274e67b9f8d9077cba5f166b67899"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc5274e67b9f8d9077cba5f166b67899">&#9670;&#160;</a></span>mapCols()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt; int, QString &gt; ReadCSV::mapCols </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; QString &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>headers</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a273484f834fc7fd04eac772ed81d8a12" name="a273484f834fc7fd04eac772ed81d8a12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a273484f834fc7fd04eac772ed81d8a12">&#9670;&#160;</a></span>readCsv()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt; QString, QVector&lt; QString &gt; &gt; ReadCSV::readCsv </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>path</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="readcsv_8h_source.html">readcsv.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="src_2readcsv_8cpp.html">readcsv.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
